function d=MaxWindow(c,Nb)
% d = MaxWindow(c,Nb)
%    c = signal (effective channel)
%    Nb = window size (nu+1)
%    d = delay (index-1)

c = abs(c).^2;

sumc = zeros(1,length(c)-Nb+1);
for k=1:length(c)-Nb+1;
   sumc(k) = sum(c(k:k+Nb-1));
end

[dummy d] = max(sumc);
d = d-1;
